=== Utils/CMakeLists.txt ===
# CMake script for Bio++ Utils
# Author: Sylvain Gaillard
# Created: 17/08/2009

# File list
set(CPP_FILES
  ApplicationTools.cpp
  AttributesTools.cpp
  BppApplication.cpp
  ColorTools.cpp
  DvipsColorSet.cpp
  Exceptions.cpp
  FileTools.cpp
  GraphicDevice.cpp
  KeyvalTools.cpp
  MolscriptColorSet.cpp
  NestedStringTokenizer.cpp
  PGFGraphicDevice.cpp
  RColorSet.cpp
  SVGGraphicDevice.cpp
  StringTokenizer.cpp
  TextTools.cpp
  XFigGraphicDevice.cpp
  BppString.cpp
  Font.cpp
  XFigLaTeXFontManager.cpp
  XFigPostscriptFontManager.cpp
  )

set(H_FILES
  AbstractGraphicDevice.h
  ApplicationTools.h
  AttributesTools.h
  BppApplication.h
  BppString.h
  BppVector.h
  OutputStream.h
  Clonable.h
  ColorManager.h
  ColorSet.h
  ColorTools.h
  DefaultColorSet.h
  DvipsColorSet.h
  Exceptions.h
  exceptions
  FileTools.h
  Font.h
  FontManager.h
  XFigLaTeXFontManager.h
  XFigPostscriptFontManager.h
  GraphicDevice.h
  graphics
  IOFormat.h
  KeyvalTools.h
  MapTools.h
  MolscriptColorSet.h
  NestedStringTokenizer.h
  Number.h
  PGFGraphicDevice.h
  Point2D.h
  Point2DTools.h
  RColorSet.h
  RGBColor.h
  SVGGraphicDevice.h
  StringTokenizer.h
  TextTools.h
  XFigGraphicDevice.h
)

# Build the static lib
add_library(bpputils-static STATIC ${CPP_FILES})
set_target_properties(bpputils-static
  PROPERTIES OUTPUT_NAME bpp-utils
  CLEAN_DIRECT_OUTPUT 1
  )

# Build the shared lib
add_library(bpputils-shared SHARED ${CPP_FILES})
set_target_properties(bpputils-shared
  PROPERTIES OUTPUT_NAME bpp-utils
  CLEAN_DIRECT_OUTPUT 1
  VERSION ${BPPUTILS_VERSION}
  SOVERSION ${BPPUTILS_VERSION_MAJOR}
  )

# Install libs
install(TARGETS bpputils-static bpputils-shared DESTINATION lib)

# Install headers
install(FILES ${H_FILES} DESTINATION include/Utils)
