=== debian/changelog ===
libbpp-utils (1.5.0) unstable; urgency=low

  * Update for version 1.9 of Bio++.
  * Several bug fixed, compilation with -Weffc++
  * Improved graphic classes

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 24 Mar 2010 14:20:45 +0100

libbpp-utils (1.4.0) unstable; urgency=low

  * Update for version 1.8 of Bio++.
  * New kevval syntax for parsing parameters.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-utils (1.3.1) unstable; urgency=low

  * Update for version 1.7 of Bio++.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100

libbpp-utils (1.3.0) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200
